package com.sample;

import org.kie.api.KieServices;
import org.kie.api.runtime.KieContainer;
import org.kie.api.runtime.KieSession;

import com.sample.facts.TestObject;

/**
 * This is a sample class to launch a rule.
 */
public class DroolsTest {

    public static final void main(String[] args) {
        try {
            // load up the knowledge base
	        KieServices ks = KieServices.Factory.get();
    	    KieContainer kContainer = ks.getKieClasspathContainer();
        	KieSession kSession = kContainer.newKieSession("ksession-rules");
      	
        	TestObject firstObj = new TestObject();
        	//firstObj.setSomeInt(1);
        	firstObj.setObjName("firstObj");
        	TestObject secondObj = new TestObject();
        	secondObj.setSomeInt(5);
        	secondObj.setObjName("secondObj");
        	TestObject thirdObj = new TestObject();
        	thirdObj.setSomeInt(10);
        	thirdObj.setObjName("thirdObj");
        	TestObject fourthObj = new TestObject();
        	fourthObj.setSomeInt(15);
        	fourthObj.setObjName("fourth");

        	kSession.insert(firstObj);
        	kSession.insert(secondObj);
        	kSession.insert(thirdObj);
        	kSession.insert(fourthObj);
        	
            kSession.fireAllRules();
        } catch (Throwable t) {
            t.printStackTrace();
        }
    }

}
